Delete template
curl --request DELETE \
--url https://api-m.sandbox.paypal.com/v2/invoicing/templates/{template_id} \
--header 'Authorization: Bearer <token>'{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"details": [
{
"issue": "PERMISSION_DENIED",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "The requested template is not associated with the requested user."
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}Delete template
Deletes a template, by ID.
DELETE
/
v2
/
invoicing
/
templates
/
{template_id}
Delete template
curl --request DELETE \
--url https://api-m.sandbox.paypal.com/v2/invoicing/templates/{template_id} \
--header 'Authorization: Bearer <token>'{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"details": [
{
"issue": "PERMISSION_DENIED",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "The requested template is not associated with the requested user."
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}Was this page helpful?
⌘I